# coding:utf-8
#**************************************************************************
#from https://newtechnologylifestyle.net/keras%E3%81%AEcnn%E3%82%92%      *
#             E4%BD%BF%E7%94%A8%E3%81%97%E3%81%A6%E3%82%AA%E3%83%AA%E3%   *
#             82%B8%E3%83%8A%E3%83%AB%E7%94%BB%E5%83%8F%E3%81%A7%E7%94%   *
#             BB%E5%83%8F%E8%AA%8D%E8%AD%98%E3%82%92%E8%A1%8C%E3%81%A3/   *
#input data from CIFAR-10                                                 *
# image_prediction.py                                                     *
#  modified by M. Kogoshi & S. Kogoshi                                    *
#**************************************************************************
#　ライブラリーのインポート
import keras
from keras.utils import np_utils
from keras.models import Sequential, model_from_json
from keras.layers.convolutional import Conv2D, MaxPooling2D
from keras.layers.core import Dense, Dropout, Activation, Flatten
import numpy as np
from PIL import Image
from keras.preprocessing.image import load_img, img_to_array
import glob

#学習済AIモデルの読み込み
model_arc_str = open("model_architecture.json").read()
model = model_from_json(model_arc_str)
model.load_weights("weights.hdf5")

#予測
labels =['bird','dog','car','ship']

img = load_img('image.jpg')
img = img_to_array(img)
img = img.astype('float32')/255.0
img = np.array([img])

y_pred = model.predict(img)
number_pred = np.argmax(y_pred)

# 予測結果の出力
print("y_pred:", y_pred)
print("number_pred:", number_pred)
print('label_pred:', labels[int(number_pred)])